Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::vrml97_node::inline_class Class Reference

Inheritance diagram for openvrml::vrml97_node::inline_class:

[legend]
List of all members.

## Detailed Description

Class object for Inline nodes.

## Public Member Functions

| inline_class (openvrml::browser &browser)
| Construct.
virtual | ~inline_class () throw ()
| Destroy.

## Private Member Functions

virtual const node_type_ptr | do_create_type (const std::string &id, const node_interface_set &interfaces) const throw (unsupported_interface, std::bad_alloc)
| Create a node_type.

## Constructor & Destructor Documentation

openvrml::vrml97_node::inline_class::inline_class | ( | openvrml::browser & | browser | ) | `[explicit]`

Construct.

Parameters:

  | browser | the browser associated with this node class object.

openvrml::vrml97_node::inline_class::~inline_class | ( |  | ) | throw ()`[virtual]`

| Destroy.

## Member Function Documentation

const node_type_ptr openvrml::vrml97_node::inline_class::do_create_type | ( | const std::string & | id,
|  | const node_interface_set & | interfaces
| ) | const throw (unsupported_interface, std::bad_alloc)`[private, virtual]`

Create a node_type.

Parameters:

  | id | the name for the new node_type.
  | interfaces | the interfaces for the new node_type.

Returns:
  a node_type_ptr to a node_type capable of creating Inline nodes.

Exceptions:

  | unsupported_interface | if `interfaces` includes an interface not supported by inline_class.
  | std::bad_alloc | if memory allocation fails.

Implements openvrml::node_class.